# ------------------------------------------------------------
# eval_mudcom
# > evaluates the command, which is a 
#   single/separate one now
# ------------------------------------------------------------
proc eval_com {com} {
    switch -exact -- $cc {
	useexit {
	    switch [llength $arg] {
		1 {
		    switch -- [lindex $arg 0] {
			nw   { exec_quickexit n w}
			n    { exec_quickexit n c}
			ne   { exec_quickexit n e}
			 w   { exec_quickexit c w}
			 e   { exec_quickexit c e}
			sw   { exec_quickexit s w}
			s    { exec_quickexit s c}
			se   { exec_quickexit s e}
			up   { exec_quickexit u o}
			down { exec_quickexit d o}
			o1   { exec_quickexit u x}
			o2   { exec_quickexit d x}
		    }
		}
		default {
		    msg nrargs useexit
		}
	    }	    
	}
	walkexit {
	    switch [llength $arg] {
		1 {
		    switch -- [lindex $arg 0] {
			nw   { walk_quickexit n w}
			n    { walk_quickexit n c}
			ne   { walk_quickexit n e}
			 w   { walk_quickexit c w}
			 e   { walk_quickexit c e}
			sw   { walk_quickexit s w}
			s    { walk_quickexit s c}
			se   { walk_quickexit s e}
			up   { walk_quickexit u o}
			down { walk_quickexit d o}
			o1   { walk_quickexit u x}
			o2   { walk_quickexit d x}
		    }
		}
		default {
		    msg nrargs walkexit
		}
	    }	    
	}
	createexit {
	    switch [llength $arg] {
		1 {
		    set MUD(createexitfromkkeyboard) 1
		    switch -- [lindex $arg 0] {
			nw   { create_quickexit .zoom.ex.def.n.w     n w}
			n    { create_quickexit .zoom.ex.def.n.c     n c}
			ne   { create_quickexit .zoom.ex.def.n.e     n e}
			 w   { create_quickexit .zoom.ex.def.c.w     c w}
			 e   { create_quickexit .zoom.ex.def.c.e     c e}
			sw   { create_quickexit .zoom.ex.def.s.w     s w}
			s    { create_quickexit .zoom.ex.def.s.c     s c}
			se   { create_quickexit .zoom.ex.def.s.e     s e}
			up   { create_quickexit .zoom.ex.def.c.c.u.o u o}
			down { create_quickexit .zoom.ex.def.c.c.d.o d o}
		    }
		    set MUD(createexitfromkkeyboard) 0
		}
		default {
		    msg nrargs createexit
		}
	    }	    
	}
	mapmove {
	    switch [llength $arg] {
		1 {
		    mapmove [lindex $arg 0]
		}
		2 {
		    mapmove [lindex $arg 0] [lindex $arg 1]
		}
		default {
		    msg nrargs mapmove
		}
	    }	    
	}
	system {
	    if {$MUD(noaction)} {
		set sid [open "|[lindex $arg 0]" r+] 
		flush $sid
		foreach line [split [read $sid] \n] {
		    mud system $line
		}
		close $sid
	    }
	}
    }
}

