#!/usr/local/bin/itkwish

set SMMSRCPATH /home/issever/HOME/privat/programming/smm4r3
lappend auto_path [file join $SMMSRCPATH sources]
lappend auto_path [file join $SMMSRCPATH sources mudding]
lappend auto_path [file join $SMMSRCPATH sources mapping]
lappend auto_path [file join $SMMSRCPATH sources rsc]
lappend auto_path [file join $SMMSRCPATH sources editor]
lappend auto_path [file join $SMMSRCPATH sources error]

package require Iwidgets 3.0
source sources/iwidgets/generic/dialogshell.tcl
source sources/iwidgets/generic/labeledwidget.tcl
source sources/iwidgets/generic/line.tcl
source sources/iwidgets/generic/fontconfig.tcl
source sources/iwidgets/generic/fontmanager.tcl
source sources/iwidgets/generic/colormanager.tcl

#######################################################

#iwidgets::colorex .a "abc abc" red ""  -clash 1 -buttonsize 30
iwidgets::line .s  -foreground blue -relief raised
#iwidgets::colorex .b "abcabc abc abc" blue "" -clash 1  -buttonsize 30
iwidgets::line .s2 -foreground green 
iwidgets::line .s3 -foreground red -orient h
#iwidgets::colorex .c "abc abc abc abc abc" green "" -clash 1 -buttonsize 30
#pack .a .s .b .s2 .c -expand 1 -fill both -side top

if {1} {


font create def      -family Courier -size 12
font create defBold  -family Courier -size 12 -weight bold
option add *font                   def      startupFile
option add *textFont               def      startupFile
option add *labelFont              defBold  startupFile

set _fontmanager [iwidgets::fontmanager  .\#auto -file b]

$_fontmanager add small    "-family Courier -size 10" \
    "Small GUI font:"
$_fontmanager add def      "-family Courier -size 12" \
    "Default GUI font:"
$_fontmanager add defBold  "-family Courier -size 12 -weight bold" \
    "Bold GUI font:"
$_fontmanager add defFixed "-family Courier -size 12"  \
    "Fixed GUI font:" 
$_fontmanager add big      "-family Courier -size 14"  \
    "Big GUI font:" 
$_fontmanager add bigBold  "-family Courier -size 14 -weight bold" \
    "Big and Bold GUI font:"
$_fontmanager add mudDef   "-family Courier -size 12"  \
    "Default font for MUD text:" 
$_fontmanager add mudBold  "-family Courier -size 12 -weight bold" \
    "Bold font for MUD text:"
$_fontmanager add scDef    "-family Courier -size 12 -weight bold" \
    "Default font for scriptfile editor:" 


$_fontmanager activate



}
